@import "fonts.pcss";

:root {
    /* Main BG color */
    --bg: rgb(7, 14, 17);

    --border-color: #1c242a;
    --border: solid 1px var(--border-color);
    --anim_time: 0.5s;

    /* Padding */
    --padding: 40px;
    --half-padding: calc(var(--padding) / 2);

    /* Z-Index levels */
    --foreground: 99;
    --midground: 50;
    --background: 1;
    --nonactiveBackground: -1;

    /* Main container padding */
    --border-padding: 20px;
    --app-position-left: calc(var(--border-padding) / 2);
    --app-position-right: calc(var(--border-padding) / 2);
    --app-width: calc(100% - var(--border-padding));
    --app-height: calc(100% - var(--border-padding));

    --medium_breakpoint: 1024px;
    --small_breakpoint: 640px;

    --anim_distance: 100px;
}

ul, li {
    list-style: none;
}

.padding {
    padding: var(--padding);
}


body {
    background: var(--border-color);
    color: white;
    font-family: "GeneralSans-Variable", sans-serif;
    user-select: none;
}

.no-user-select {
    user-select: none;
}


#APP {
    border-radius: 5px;
    background-color: var(--bg);
    z-index: 2;
    position: absolute;
    overflow: hidden;
    left: var(--app-position-left);
    top: var(--app-position-right);
    height: var(--app-height);
    width: var(--app-width);
    box-shadow: 0 0 10px rgba(14, 14, 24, 0.66) inset;
}

#DOM {
    width: 100%;
    height: 100vh;
    overflow-y: auto;
    position: relative;
    z-index: var(--foreground);
    opacity: 1;
    transition: all 0.5s ease;

    &.hide-scroll {
        overflow: hidden;
    }
}

#GL {
    position: relative;
    z-index: 8;
}

.debug {
    background: red;
}

.content-section {
    height: var(--app-height);
    max-width: 1280px;
    margin: 0 auto;
    position: relative;

    /*
        General content body styling
        should be vertically centered, then apply an offset either up or down.
    */

    & .content-body {
        position: absolute;
        top: 50%;
        padding-left: var(--padding);
        max-width: 50%;
        transform: translateY(-50%);
    }


    & .align-right {
        right: var(--padding);
    }

}


#GL {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100vh;

}

footer {
    width: 100%;
    height: 80vh;
    padding-top: var(--padding);

    & button {
        margin: 0 auto;
    }
}

#loading {
    position: absolute;
    left: 50%;
    top: 50%;
    transform:translateX(-50%) translateY(-50%);

    & h1 {
        font-size: 15vw;
        text-align: center;
    }
}

.preload {
    overflow: hidden;
    opacity: 0;
    transition: all 0.5s ease;
}

.scroll-container {
    width: 100%;
    height: 100vh;
    overflow-y: auto;
    position: relative;
    z-index: var(--midground, 50);
}

/*=========== TITLE ================= */
.title {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    text-transform: uppercase;
    overflow: hidden;
    text-align: center;

    & h1 {
        overflow: hidden;
    }

    & span {
        position: relative;
        top: 200px;
        transition: top 1.5s ease;
        font-size:5vw;
        &.load {
            transition: top 0.5s ease;
            top: 0;
        }
    }
}

/*========== INTRO / AUDIO =============== */
.right-loading {
    position: relative;
    margin-right: -150px;
    opacity: 0;

    &.load {
        transition: opacity 0.5s ease, margin-right 0.5s ease;
        margin-right: 0;
        transition-delay: 0.4s;
        opacity: 1;
    }
}

/*========== VISION =============== */
.vision-copy {
    position: relative;
    left: -150px;
    opacity: 0;

    &.load {
        transition: opacity 0.5s ease, left 0.5s ease;
        left: 0;
        transition-delay: 0.4s;
        opacity: 1;
    }
}

/*========== FOOTER =============== */
footer {
    background: #26313a;
    position: relative;

    & .foot-wrap {
        position: absolute;
        top: 48%;
        left: 50%;
        transform: translateX(-50%) translateY(-50%);
    }

    & button {
        position: relative;
        left: 50%;
        top: 4vh;
        transform: translateX(-50%);
        padding: 10px var(--half-padding);
        font-size: 20px;
        border: none;
        border-radius: 4px;
        background-color: #435364;
        color: white;
        transition: background-color 0.5s ease;

        &:hover {
            cursor: pointer;
            background: rgba(67, 83, 100, 0.76);
            transition: background-color 0.5s ease;
        }
    }
}